### Enumeration

# GnomeAutoar Filter

#### Declaration

    enum GnomeAutoar.Filter

#### Description [src]

This is a non-negative number which represents filters supported by libarchive. A libarchive filter is a filter which can convert a regular file into a compressed file.

#### Members

`AUTOAR_FILTER_NONE`

  `ARCHIVE_FILTER_NONE`: No filter.

  - Value: `1`
  - Available since: 0.1
`AUTOAR_FILTER_COMPRESS`

  `ARCHIVE_FILTER_COMPRESS`: UNIX-compressed.

  - Value: `2`
  - Available since: 0.1
`AUTOAR_FILTER_GZIP`

  `ARCHIVE_FILTER_GZIP`: Gzip.

  - Value: `3`
  - Available since: 0.1
`AUTOAR_FILTER_BZIP2`

  `ARCHIVE_FILTER_BZIP2`: Bzip2.

  - Value: `4`
  - Available since: 0.1
`AUTOAR_FILTER_XZ`

  `ARCHIVE_FILTER_XZ`: XZ.

  - Value: `5`
  - Available since: 0.1
`AUTOAR_FILTER_LZMA`

  `ARCHIVE_FILTER_LZMA`: LZMA.

  - Value: `6`
  - Available since: 0.1
`AUTOAR_FILTER_LZIP`

  `ARCHIVE_FILTER_LZIP`: Lzip.

  - Value: `7`
  - Available since: 0.1
`AUTOAR_FILTER_LZOP`

  `ARCHIVE_FILTER_LZOP`: LZO.

  - Value: `8`
  - Available since: 0.1
`AUTOAR_FILTER_GRZIP`

  `ARCHIVE_FILTER_GRZIP`: GRZip.

  - Value: `9`
  - Available since: 0.1
`AUTOAR_FILTER_LRZIP`

  `ARCHIVE_FILTER_LRZIP`: Long Range ZIP (lrzip).

  - Value: `10`
  - Available since: 0.1
`AUTOAR_FILTER_ZSTD`

  `ARCHIVE_FILTER_ZSTD`: Zstandard.

  - Value: `11`
  - Available since: 0.1